Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036508
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2017-07-18 12:002017-07-24 11:29
ReporterOrekariaView Statuspublic 
Assigned ToOrekaria 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision09b109e916b0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036508: ant generate.java.doc marks the build as successful even if contained errors

Descriptionant generate.java.doc marks the build as successful even if contained errors

continuous integration reports false negatives because errors are not being detected, e.g: https://ci.openbravo.com/job/int-inc-pgsql/ [^]
Steps To ReproduceIn the ERP folder
Execute ant generate.java.doc
Verify that, if the build contains errors, the build is set as successful (it should report build failed)
Proposed SolutionApply the attached patch
TagsNo tags attached.
Attached Filespatch file icon 32290.patch [^] (952 bytes) 2017-07-18 12:01 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036524 closedalostale javadoc in pi has syntax error making javadoc command fail completely 
related to defect 0036532 closedplatform javadoc warns when building with Java 8 

-  Notes
(0098192)
hgbot (developer)
2017-07-24 10:59

Repository: erp/devel/pi
Changeset: 09b109e916b00539d6fbc10e1e93a5af9dc7a533
Author: Rafa Alonso <ral <at> openbravo.com>
Date: Tue Jul 18 11:47:06 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/09b109e916b00539d6fbc10e1e93a5af9dc7a533 [^]

fixed 36508: Mark build as failed when 'ant generate.java.doc' report errors

---
M build.xml
---
(0098194)
alostale (developer)
2017-07-24 11:29

reviewed + tested

- Issue History
Date Modified Username Field Change
2017-07-18 12:00 staffrm New Issue
2017-07-18 12:00 staffrm Assigned To => platform
2017-07-18 12:00 staffrm Modules => Core
2017-07-18 12:00 staffrm Triggers an Emergency Pack => No
2017-07-18 12:01 staffrm File Added: 32290.patch
2017-07-18 12:12 staffrm Summary ant generate.java.doc marks the build as successfull even if contained errors => ant generate.java.doc marks the build as successful even if contained errors
2017-07-18 12:12 staffrm Description Updated View Revisions
2017-07-18 12:12 staffrm Steps to Reproduce Updated View Revisions
2017-07-18 12:16 staffrm Description Updated View Revisions
2017-07-21 11:09 shuehner Relationship added related to 0036524
2017-07-21 13:34 alostale Assigned To platform => alostale
2017-07-24 10:59 hgbot Checkin
2017-07-24 10:59 hgbot Note Added: 0098192
2017-07-24 10:59 hgbot Status new => resolved
2017-07-24 10:59 hgbot Resolution open => fixed
2017-07-24 10:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/09b109e916b00539d6fbc10e1e93a5af9dc7a533 [^]
2017-07-24 11:29 alostale Review Assigned To => alostale
2017-07-24 11:29 alostale Reporter staffrm => Orekaria
2017-07-24 11:29 alostale Assigned To alostale => Orekaria
2017-07-24 11:29 alostale Note Added: 0098194
2017-07-24 11:29 alostale Status resolved => closed
2017-07-24 11:29 alostale Fixed in Version => 3.0PR17Q4
2017-07-26 08:22 alostale Relationship added related to 0036532


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker